// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package consts

// 定义数据来源大类
const (
	ODSPROVIDERLOG     = "provider-log"   // 数据源日志
	ODSDIPLOG          = "dip-log"        // dip日志
	ODSMANUALAMENDMENT = "manual"         // 人工修正
	ODSOFFLINEIMPORT   = "offline-import" // 离线导入
)

// 定义过期或不过期数据
const (
	NORMALDATA = "0"
	EXPIREDATA = "1"
)

// 数据源编码
const (
	/*CXYVIOLATION                 = "117-001" //车行易违章
	ZQYPLATEVEHICLE              = "119-001"
	ZQYVINVEHICLE                = "119-002"
	SPYDEFINEVIN                 = "128-001" // SPY VIN码获取车型信息
	SPYVINNEW                    = "128-011"
	SPYTWODATE                   = "128-004"
	SPYINSUREDATE                = "128-009"
	ZQYINSUREDATE                = "119-005"
	SPYTRANSFERRECORD            = "128-010"
	DRVVEHICLEOWNERVERIFY        = "138-002"
	SPYTWODATE2                  = "128-006"
	SPYTRANSFERBYVIN             = "128-007"
	SPYTWOELEMENTVERIFY          = "128-008"
	ZCRKTWOELEMENTVERIFY         = "141-001"
	ZCRKTWOELEMENTVERIFY2        = "141-002"
	DRVVEHICLEOWNERVERIFYBAK     = "138-004"
	ZJCVEHICLEOWNER              = "142-001"*/
	DYIDCERTVERIFY               = "102-001"
	CDBDTWOELEMENTVERIFY = "101-001"
	ZRVEHICLEINFO         = "103-001"
	ZRTWOELEMENTVERIFYNATIONAL = "103-002"
	ZRVEHICLEVIN        = "103-003"
	ZRVEHICLEFIVE         = "103-004"
	ZRVININFO        = "103-005"
	DYXL                       = "104-002"
	DYXW                       = "104-001"
	DYXLALL                       = "104-003"

	//ZCRKENGINENO                 = "141-003"
	//ZCRKBYVIN                = "141-004"
)

// 定义数据来源编号
const (
	SOURCEODS1  = "ODS001" // 车行易违章
	SOURCEODS2  = "ODS002"
	SOURCEODS3  = "ODS003"
	SOURCEODS4  = "ODS004"
	SOURCEODS5  = "ODS005"
	SOURCEODS6  = "ODS006"
	SOURCEODS7  = "ODS007"
	SOURCEODS8  = "ODS008"
	SOURCEODS9  = "ODS009"
	SOURCEODS10 = "ODS010"
	SOURCEODS11 = "ODS011"
	SOURCEODS12 = "ODS012"
	SOURCEODS13 = "ODS013"
	SOURCEODS15 = "ODS015"
	SOURCEODS16 = "ODS016"
	SOURCEODS17 = "ODS017"
	SOURCEODS18 = "ODS018"
	SOURCEODS19 = "ODS019"
	SOURCEDWS1  = "DWS001"
	SOURCEDWS2  = "DWS001"
	SOURCEADS1  = "ADS001"
	SOURCEADS2  = "ADS002"
)

const (
	ONLINE  = "online"
	OFFLINE = "offline"
)

const (
	DEFAULTPAGESIZE = 1000
)

const (
	FromDb    = 1
	FromExcel = 2
)
